<!DOCTYPE html>
<html ng-app="app">

<head>
   <meta charset="utf-8">
   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

   <title>Main page</title>

   <link rel="stylesheet" href="node_modules/bootstrap3/dist/css/bootstrap.min.css">
   <script src="node_modules/jquery/dist/jquery.min.js"></script>
   <script src="node_modules/bootstrap3/dist/js/bootstrap.min.js"></script>
   
</head>
    
<body ng-controller="Ctrl as ctrl">
    
    <div class="container">
	
		<div class="page-header">
			<h1>Google Maps</h1>
		</div>

		<div class="panel panel-default">
		
			<div class="panel-heading">
				<h4>Faculty of Mathematics and Computer Science <small>University of Lodz</small></h4>	
			</div>
		
			<div class="panel-body">
				<ng-map center="[51.776765, 19.487026]" zoom="14">
					<marker position="[51.778645, 19.495462]" title="Dormitories" on-click="ctrl.click()"/>
					<marker position="[51.772653, 19.474785]" title="Rector's office" on-click="ctrl.click()"/>
					<marker position="[51.776765, 19.487026]" title="Faculty of Mathematics and Computer Science" on-click="ctrl.click()"/>
				</ng-map>
			</div>
							
			<div class="col-xs-6">
				<h5 ng-bind="ctrl.selected.title"></h5>
				<small ng-bind="ctrl.selected.position"></small>				
			</div>
			<div class="col-xs-6">
				<form class="form-inline pull-right">
					<label for="markerSelector">Marker:</label>
					<select id="markerSelector" ng-model="ctrl.selected" ng-options="marker as marker.title for marker in ctrl.map.markers track by marker.id" class="form-control" ng-change="ctrl.select(ctrl.selected.id)"></select>
				</form>
			</div>

		</div>
			
	</div>
    
<script src="node_modules/angular/angular.min.js"></script>
<script src="http://maps.google.com/maps/api/js"></script>	
<script src="node_modules/ngmap/build/scripts/ng-map.min.js"></script>
<script src="js/app.js"></script>

</body></html>